%
%   Basquin_coefficients_alt.m  ver 1.1  by Tom Irvine
%

function[mlab,m,A,ss,ms,As]=Basquin_coefficients_alt(n,n_mat)

m=0;
A=0;

mlab='other';  
if(n_mat==1) % aluminum 6061-T6
    m=9.25; 
    mlab='aluminum 6061-T6';
end
if(n_mat==2) % butt-welded steel
    m=3.5;
    mlab='butt-welded steel';
end    
if(n_mat==3) % stainless steel
    m=6.54;
    mlab='stainless steel';
end
 
if(n_mat==4) % Petrucci: aluminum
    m=7.3; 
    mlab='Petrucci: aluminum 2219-T851';
end
if(n_mat==5) % Petrucci: steel
    m=3.324;
    mlab='Petrucci: steel';    
end    
if(n_mat==6) % Petrucci: spring steel
    m=11.760;
    mlab='Petrucci: spring steel';       
end
if(n_mat==7) % Copper, CG, Annealed
    m=9.346;
    mlab='Copper, Conventionally Grained, Annealed';       
end
 
if(n_mat==1)  % aluminum 6061-T6
 
    Aksi=9.7724e+17;
    AMPa=5.5757e+25;
    
    if(n==1)
        A=((Aksi^(1/m))*1000)^m;
    end
    if(n==2)
        A=Aksi;        
    end    
    if(n==3)
        A=((AMPa^(1/m))*1e6)^m;         
    end 
    if(n==4)
        A=AMPa;        
    end
    
end
if(n_mat==2)  % butt-welded steel
 
      
    Aksi=1.255e+11;
    AMPa=1.080e+14; 
    
    if(n==1)
        A=((Aksi^(1/m))*1000)^m;
    end
    if(n==2)
        A=Aksi;        
    end    
    if(n==3)
        A=((AMPa^(1/m))*1e6)^m;       
    end     
    if(n==4)
        A=AMPa;      
    end    
    
end
if(n_mat==3)  % stainless steel
   
    Aksi=1.32E+18;
    AMPa=4.0224e+23;
    
    if(n==1)
        A=((Aksi^(1/m))*1000)^m;
    end
    if(n==2)
        A=Aksi;        
    end    
    if(n==3)
        A=((AMPa^(1/m))*1e6)^m;         
    end 
    if(n==4)
        A=AMPa;      
    end        
    
end
if(n_mat==4)  % Petrucci: aluminum
   
    Aksi=5.18E+13;
    AMPa=6.85E+19; 
    
    if(n==1)
        A=((Aksi^(1/m))*1000)^m;
    end
    if(n==2)
        A=Aksi;        
    end    
    if(n==3)
        A=((AMPa^(1/m))*1e6)^m; 
    end 
    if(n==4)
        A=AMPa;      
    end        
    
end
if(n_mat==5)  % Petrucci: steel
   
    Aksi=3.16E+09;
    AMPa=1.93E+12;    
    
    if(n==1)
        A=((Aksi^(1/m))*1000)^m;
    end
    if(n==2)
        A=Aksi;        
    end    
    if(n==3)
        A=((AMPa^(1/m))*1e6)^m;         
    end     
    if(n==4)
        A=AMPa;      
    end        
    
end
if(n_mat==6)  % Petrucci: spring steel
   
    Aksi=1.95E+27;
    AMPa=1.41E+37; 
    
    if(n==1)
        A=((Aksi^(1/m))*1000)^m;
    end
    if(n==2)
        A=Aksi;        
    end    
    if(n==3)
        A=((AMPa^(1/m))*1e6)^m; 
    end     
    if(n==4)
        A=AMPa;      
    end        
    
end
if(n_mat==7)  % Copper, CG, Annealed
    
    AMPa=220^m;
   
    Aksi=((AMPa^(1/m))*0.145)^m;
    
    if(n==1)  % psi
        A=((Aksi^(1/m))*1000)^m;
    end
    if(n==2)  % ksi
        A=Aksi;        
    end    
    if(n==3)  % Pa
        A=((AMPa^(1/m))*1e6)^m;         
    end        
    if(n==4)  % MPa
        A=AMPa;      
    end        
    
end 
 
  
if(n_mat<=7)
    ms=sprintf('%g',m);    
    As=sprintf('%8.4g',A);
   
    if(n==1)
        ss=sprintf('psi^%g',m);
    end
    if(n==2)
        ss=sprintf('ksi^%g',m);        
    end
    if(n==3)
        ss=sprintf('Pa^%g',m);        
    end   
    if(n==4)
        ss=sprintf('MPa^%g',m);        
    end
    
else
    ms='';    
    As='';    
 
    if(n==1)
        ss=sprintf('psi^m');
    end
    if(n==2)
        ss=sprintf('ksi^m');        
    end
    if(n==3)
        ss=sprintf('Pa^m');        
    end   
    if(n==4)
        ss=sprintf('MPa^m');        
    end
   
end
